import { Project, SampleFile } from "projen";
import { ModelLanguage } from "../types";
/**
 * Options for the model readme
 */
export interface ModelReadmeOptions {
    /**
     * Language for the model
     */
    readonly modelLanguage: ModelLanguage;
    /**
     * Type of API
     */
    readonly apiType: "rest" | "async";
}
/**
 * README.md file for a model project
 */
export declare class ModelReadme extends SampleFile {
    constructor(project: Project, options: ModelReadmeOptions);
}
