import { GeneratedTypescriptLibraryProject, GeneratedTypescriptLibraryProjectOptions } from "./generated-typescript-library-project";
import { CodegenOptions } from "../components/utils";
/**
 * Configuration for the generated typescript client project
 */
export interface GeneratedTypescriptReactQueryHooksProjectOptions extends GeneratedTypescriptLibraryProjectOptions {
    /**
     * Set to true to use @tanstack/react-query version 5.x
     * @default false - @tanstack/react-query version 4.x is used
     */
    readonly useReactQueryV5?: boolean;
}
/**
 * Typescript project containing generated react-query hooks
 */
export declare class TypescriptReactQueryHooksLibrary extends GeneratedTypescriptLibraryProject {
    private readonly useReactQueryV5?;
    constructor(options: GeneratedTypescriptReactQueryHooksProjectOptions);
    buildCodegenOptions(): CodegenOptions;
}
